## snmpsim 0.2.3

=== debian/changelog ===
snmpsim (0.2.3-1) unstable; urgency=low

  * Initial release. Closes: #717935.

 -- Vincent Bernat <bernat@debian.org>  Sun, 28 Jul 2013 15:36:53 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh --with=python2 $@

override_dh_install:
	dh_install
	# Rename .py files to extension-less files
	for f in debian/snmpsim/usr/bin/*.py; do mv $$f $${f%.py} ; done
	# Rename datafile and mib2dev with a prefix
	for f in datafile mib2dev; do mv debian/snmpsim/usr/bin/$$f debian/snmpsim/usr/bin/snmpsim-$$f ; done
	# Remove /usr/snmpsim
	rm -rf debian/snmpsim/usr/snmpsim

override_dh_installchangelog:
	dh_installchangelog CHANGES.txt

## snmpsim 0.4.5

=== requirements.txt ===
pysnmp>=4.4.3,<5.0.0

## snmpsim 0.2.4

=== debian/changelog ===
snmpsim (0.2.4-1) unstable; urgency=low

  * New upstream release.
  * Add a manual page for `snmpsim-pcap2dev`.

 -- Vincent Bernat <bernat@debian.org>  Fri, 01 Nov 2013 11:20:58 +0100

=== debian/control ===
Source: snmpsim
Section: net
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~)
Standards-Version: 3.9.4
Homepage: http://snmpsim.sourceforge.net/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/snmpsim.git
Vcs-Git: git://anonscm.debian.org/collab-maint/snmpsim.git

Package: snmpsim
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},
         python-pysnmp4 (>= 4.2.4), python-pyasn1
Description: SNMP agent simulator
 SNMP Simulator is a software that would act like a multitude of real
 physical devices from SNMP Manager's point of view. Simulator builds
 and uses a database of physical devices' SNMP footprints to respond
 like their real counterparts do.
 .
 Typical use case for this software starts with recording a snapshot
 of SNMP objects of donor agents into text files. Once you have your
 snapshots at hand, a simulator script could be run over the snapshots
 responding to SNMP queries in the same way as donor SNMP agents did
 at the time of recording.
 .
 Technically, SNMP Simulator is a multi-context SNMP agent. That means
 that it handles multiple sets of managed object all at once. Each
 device is simulated within a dedicated SNMP context.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	# Rename .py files to extension-less files
 	for f in debian/snmpsim/usr/bin/*.py; do mv $$f $${f%.py} ; done
 	# Rename datafile and mib2dev with a prefix
-	for f in datafile mib2dev; do mv debian/snmpsim/usr/bin/$$f debian/snmpsim/usr/bin/snmpsim-$$f ; done
+	for f in datafile mib2dev pcap2dev; do mv debian/snmpsim/usr/bin/$$f debian/snmpsim/usr/bin/snmpsim-$$f ; done
 	# Remove /usr/snmpsim
 	rm -rf debian/snmpsim/usr/snmpsim

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/s/snmpsim/ snmpsim-([\d.]+).tar.gz

## snmpsim 0.3.0

=== debian/changelog ===
snmpsim (0.3.0-2) unstable; urgency=medium

  * d/rules: remove override_dh_installchangelogs. Not needed.
    Closes: #834662.

 -- Vincent Bernat <bernat@debian.org>  Sat, 03 Sep 2016 17:25:41 +0200

snmpsim (0.3.0-1) unstable; urgency=medium

  * New upstream version.
  * d/watch: fix debian/watch file.
  * d/control: bump Standards-Version.
  * d/control: build-Depends on dh-python.
  * d/control: update Vcs-* fields.

 -- Vincent Bernat <bernat@debian.org>  Sun, 03 Jul 2016 10:17:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Vincent Bernat <bernat@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~)
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~), dh-python
+Standards-Version: 3.9.8
 Homepage: http://snmpsim.sourceforge.net/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/snmpsim.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/snmpsim.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/snmpsim.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/snmpsim.git
 
 Package: snmpsim
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,3 @@
 	for f in datafile mib2dev pcap2dev; do mv debian/snmpsim/usr/bin/$$f debian/snmpsim/usr/bin/snmpsim-$$f ; done
 	# Remove /usr/snmpsim
 	rm -rf debian/snmpsim/usr/snmpsim
-
-override_dh_installchangelog:
-	dh_installchangelog CHANGES.txt

## snmpsim 0.4.5

=== debian/changelog ===
snmpsim (0.4.5-1) unstable; urgency=medium

  * New upstream release.
  * d/control: remove Vcs-* fields for now.
  * d/control: switch to Python 3 and pybuild.
  * d/control: switch to debhelper 10.
  * d/docs: fix name of README.md.
  * d/control: bump Standards-Version.

 -- Vincent Bernat <bernat@debian.org>  Thu, 10 Jan 2019 17:29:18 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,14 @@
 Section: net
 Priority: optional
 Maintainer: Vincent Bernat <bernat@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~), dh-python
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), python3-all, dh-python
+Standards-Version: 4.0.0
 Homepage: http://snmpsim.sourceforge.net/
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/snmpsim.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/snmpsim.git
 
 Package: snmpsim
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends},
-         python-pysnmp4 (>= 4.2.4), python-pyasn1
+Depends: ${python3:Depends}, ${misc:Depends},
+         python3-pysnmp4 (>= 4.2.4), python3-pyasn1
 Description: SNMP agent simulator
  SNMP Simulator is a software that would act like a multitude of real
  physical devices from SNMP Manager's point of view. Simulator builds

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 %:
-	dh --with=python2 $@
+	dh $@ --with=python3 --buildsystem=pybuild
 
 override_dh_install:
 	dh_install

=== debian/watch ===
version=3
http://pypi.debian.net/snmpsim/snmpsim-([\d.]+).tar.gz
